Customers
The Customers resource is designed to manage customer data effectively by providing endpoints for various operations. It enables you to create new customer records, retrieve a list of existing customers, update details for specific customers, and remove customer records when necessary. This API is essential for maintaining accurate and up-to-date customer information within your application, ensuring seamless integration and efficient data handling.
Creates a new customer object
The unique identifier of a customer.
5823594808The customer email address.
jsmith@digitalriver.comThe identifier of the default source attached to this customer.
fd74a5c5-0163-469a-ae8e-031f0259b576A locale designator that combines the two-letter ISO 639-1 language code with the ISO 3166-1 alpha-2 country code.
en_USThe type of customer.
individualPossible values: Usually used to disable the customer. The default is true. If false, attempts to create orders for the customer will fail.
true201 Created
The unique identifier for the customer.
5823594809The time at which the customer was created.
2018-04-25T20:36:00ZThe customer email address.
jsmith@digitalriver.comThe identifier of the default payment source attached to this customer.
If true, indicates this customer has requested to be forgotten.
falseExample: trueThe type of customer.
individualPossible values: A locale designator that combines the two-letter ISO 639-1 language code with the ISO 3166-1 alpha-2 country code.
en_USUsually used to disable the customer. The default is true. If false, attempts to create orders for the customer will fail.
trueHas the value true if the object exists in live mode or the value false if the object exists in test mode.
falseTime at which the customer was last updated.
2018-04-25T20:36:00Z400 Bad Request
401 Unauthorized
403 Forbidden
405 Method Not Allowed
406 Not Acceptable
408 Request Timeout
409 Conflict
429 Too Many Requests
500 Internal Server Error
502 Bad Gateway Error
503 Service Unavailable Error
504 Gateway Timeout Error
POST /customers HTTP/1.1
Host: api.digitalriver.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 735
{
"id": "5823594808",
"email": "jsmith@digitalriver.com",
"shipping": {
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"name": "John Smith",
"phone": "952-111-1111",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"defaultSourceId": "fd74a5c5-0163-469a-ae8e-031f0259b576",
"taxCertificate": {
"companyName": "Digital River Inc.",
"taxAuthority": "MN",
"startDate": "2019-04-25T20:36:00Z",
"endDate": "2020-04-25T20:36:00Z",
"fileId": "file_8fd2f808-bbb4-49bc-aa41-c960a1447331"
},
"metadata": {
"coupon": "iOS"
},
"locale": "en_US",
"type": "individual",
"enabled": true
}{
"id": "5823594809",
"createdTime": "2018-04-25T20:36:00Z",
"email": "jsmith@digitalriver.com",
"shipping": {
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"name": "John Smith",
"phone": "952-111-1111",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"defaultSourceId": "123e4567-e89b-12d3-a456-426614174000",
"sources": [
{
"id": "a6809a63-e6a9-4016-abbc-f33d19fccb5b",
"clientSecret": "52199c06-b261-4786-8609-d0a84185a0d2_2b72614b-77f6-4801-bd48-8982e314fdd5",
"createdTime": "2018-04-25T20:36:00Z",
"type": "creditCard",
"currency": "USD",
"amount": 1180.26,
"reusable": true,
"owner": {
"firstName": "John",
"lastName": "Smith",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"upstreamId": "55129-54673",
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"creditCard": {
"lastFourDigits": "3119",
"expirationMonth": 3,
"expirationYear": 2023,
"brand": "Visa"
},
"googlePay": {
"lastFourDigits": "3119",
"expirationMonth": 2,
"expirationYear": 2022,
"brand": "Visa"
},
"payPal": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalBilling": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalCredit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"directDebit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success"
}
},
"wireTransfer": {
"accountHolder": "Netgiro Payments AB",
"bankName": "ABN AMRO Bank N.V.",
"city": "Prague",
"country": "ES",
"referenceId": "DR1651067521",
"accountNumber": "0100037259",
"additionalBankInformation": "Codigo de oficina: 0001 Codigo de entidad: 0156 Digitos de control: 09",
"iban": "ES35 0156 0001 0901 0003 7259",
"swiftCode": "string"
},
"payCo": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"payCo": {}
},
"alipay": {},
"applePay": {},
"bPay": {
"accountHolder": "Global Collect BV",
"bankName": "Commonwealth Bank",
"city": "Sydney",
"country": "Australia",
"referenceId": "12345678",
"accountNumber": "87654321",
"billId": "112233",
"customerPaymentReference": "443322",
"swiftCode": "CTBAAU2S"
},
"onlineBanking": {
"bankCode": "86"
},
"codJapan": {},
"klarnaCredit": {
"shipping": {
"recipient": "John Doe",
"phoneNumber": "5559895326",
"address": {
"line1": "10380 Bren Road West",
"city": "Minnetonka",
"state": "MN",
"country": "US",
"postalCode": "55343"
},
"email": "jdoe@yahoo.com"
},
"token": "1111222233334444"
},
"klarnaCreditRecurring": {
"returnUrl": "https://example.org/return",
"cancelUrl": "https://example.org/cancel"
},
"konbini": {
"storeId": "33334444",
"receiptNumber": "8675309",
"printableInvoiceUrl": "https://printableinvoice.com",
"storeName": "Seven Eleven",
"localizedStoreName": "セブン‐イレブン",
"storeLogoUrl": "https://storelogo.com"
},
"bankTransfer": {},
"msts": {},
"bancontact": {},
"ideal": {},
"giftCard": {
"cardCurrency": "USD",
"conversionRate": 1,
"lastFourDigits": 8139
},
"amazonPay": {},
"afterPay": {},
"ccAvenue": {},
"flow": "standard",
"state": "chargeable",
"metadata": {
"coupon": "iOS"
},
"customerId": "5823594809",
"paymentSessionId": "8cecaa32-f692-44cc-b103-4cf24dc93913",
"liveMode": false
}
],
"taxIdentifiers": [
{
"id": "5774321009",
"createdTime": "2018-04-25T20:36:00Z",
"customerId": "5774321009",
"type": "de",
"value": "DE123456789",
"state": "pending",
"stateTransitions": {
"pending": "2018-04-25T20:36:00Z",
"verified": "2018-04-25T20:36:00Z",
"not_valid": "2018-04-25T20:36:00Z"
},
"verifiedName": ".",
"verifiedAddress": ".",
"updatedTime": "2018-04-25T20:36:00Z",
"applicability": [
{
"country": "FR",
"entity": "DR_Ireland-Entity",
"customerType": "business"
}
]
}
],
"taxCertificates": [
{
"companyName": "Digital River Inc.",
"taxAuthority": "MN",
"startDate": "2019-04-25T20:36:00Z",
"endDate": "2020-04-25T20:36:00Z",
"fileId": "file_8fd2f808-bbb4-49bc-aa41-c960a1447331"
}
],
"requestToBeForgotten": true,
"type": "individual",
"metadata": {
"coupon": "iOS"
},
"locale": "en_US",
"enabled": true,
"liveMode": false,
"updatedTime": "2018-04-25T20:36:00Z"
}Retrieves the details of a customer by supplying the unique identifier of the customer
Customer ID
200 OK
The unique identifier for the customer.
5823594809The time at which the customer was created.
2018-04-25T20:36:00ZThe customer email address.
jsmith@digitalriver.comThe identifier of the default payment source attached to this customer.
If true, indicates this customer has requested to be forgotten.
falseExample: trueThe type of customer.
individualPossible values: A locale designator that combines the two-letter ISO 639-1 language code with the ISO 3166-1 alpha-2 country code.
en_USUsually used to disable the customer. The default is true. If false, attempts to create orders for the customer will fail.
trueHas the value true if the object exists in live mode or the value false if the object exists in test mode.
falseTime at which the customer was last updated.
2018-04-25T20:36:00Z400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found
405 Method Not Allowed
406 Not Acceptable
408 Request Timeout
429 Too Many Requests
500 Internal Server Error
502 Bad Gateway Error
503 Service Unavailable Error
504 Gateway Timeout Error
GET /customers/{id} HTTP/1.1
Host: api.digitalriver.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "5823594809",
"createdTime": "2018-04-25T20:36:00Z",
"email": "jsmith@digitalriver.com",
"shipping": {
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"name": "John Smith",
"phone": "952-111-1111",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"defaultSourceId": "123e4567-e89b-12d3-a456-426614174000",
"sources": [
{
"id": "a6809a63-e6a9-4016-abbc-f33d19fccb5b",
"clientSecret": "52199c06-b261-4786-8609-d0a84185a0d2_2b72614b-77f6-4801-bd48-8982e314fdd5",
"createdTime": "2018-04-25T20:36:00Z",
"type": "creditCard",
"currency": "USD",
"amount": 1180.26,
"reusable": true,
"owner": {
"firstName": "John",
"lastName": "Smith",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"upstreamId": "55129-54673",
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"creditCard": {
"lastFourDigits": "3119",
"expirationMonth": 3,
"expirationYear": 2023,
"brand": "Visa"
},
"googlePay": {
"lastFourDigits": "3119",
"expirationMonth": 2,
"expirationYear": 2022,
"brand": "Visa"
},
"payPal": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalBilling": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalCredit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"directDebit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success"
}
},
"wireTransfer": {
"accountHolder": "Netgiro Payments AB",
"bankName": "ABN AMRO Bank N.V.",
"city": "Prague",
"country": "ES",
"referenceId": "DR1651067521",
"accountNumber": "0100037259",
"additionalBankInformation": "Codigo de oficina: 0001 Codigo de entidad: 0156 Digitos de control: 09",
"iban": "ES35 0156 0001 0901 0003 7259",
"swiftCode": "string"
},
"payCo": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"payCo": {}
},
"alipay": {},
"applePay": {},
"bPay": {
"accountHolder": "Global Collect BV",
"bankName": "Commonwealth Bank",
"city": "Sydney",
"country": "Australia",
"referenceId": "12345678",
"accountNumber": "87654321",
"billId": "112233",
"customerPaymentReference": "443322",
"swiftCode": "CTBAAU2S"
},
"onlineBanking": {
"bankCode": "86"
},
"codJapan": {},
"klarnaCredit": {
"shipping": {
"recipient": "John Doe",
"phoneNumber": "5559895326",
"address": {
"line1": "10380 Bren Road West",
"city": "Minnetonka",
"state": "MN",
"country": "US",
"postalCode": "55343"
},
"email": "jdoe@yahoo.com"
},
"token": "1111222233334444"
},
"klarnaCreditRecurring": {
"returnUrl": "https://example.org/return",
"cancelUrl": "https://example.org/cancel"
},
"konbini": {
"storeId": "33334444",
"receiptNumber": "8675309",
"printableInvoiceUrl": "https://printableinvoice.com",
"storeName": "Seven Eleven",
"localizedStoreName": "セブン‐イレブン",
"storeLogoUrl": "https://storelogo.com"
},
"bankTransfer": {},
"msts": {},
"bancontact": {},
"ideal": {},
"giftCard": {
"cardCurrency": "USD",
"conversionRate": 1,
"lastFourDigits": 8139
},
"amazonPay": {},
"afterPay": {},
"ccAvenue": {},
"flow": "standard",
"state": "chargeable",
"metadata": {
"coupon": "iOS"
},
"customerId": "5823594809",
"paymentSessionId": "8cecaa32-f692-44cc-b103-4cf24dc93913",
"liveMode": false
}
],
"taxIdentifiers": [
{
"id": "5774321009",
"createdTime": "2018-04-25T20:36:00Z",
"customerId": "5774321009",
"type": "de",
"value": "DE123456789",
"state": "pending",
"stateTransitions": {
"pending": "2018-04-25T20:36:00Z",
"verified": "2018-04-25T20:36:00Z",
"not_valid": "2018-04-25T20:36:00Z"
},
"verifiedName": ".",
"verifiedAddress": ".",
"updatedTime": "2018-04-25T20:36:00Z",
"applicability": [
{
"country": "FR",
"entity": "DR_Ireland-Entity",
"customerType": "business"
}
]
}
],
"taxCertificates": [
{
"companyName": "Digital River Inc.",
"taxAuthority": "MN",
"startDate": "2019-04-25T20:36:00Z",
"endDate": "2020-04-25T20:36:00Z",
"fileId": "file_8fd2f808-bbb4-49bc-aa41-c960a1447331"
}
],
"requestToBeForgotten": true,
"type": "individual",
"metadata": {
"coupon": "iOS"
},
"locale": "en_US",
"enabled": true,
"liveMode": false,
"updatedTime": "2018-04-25T20:36:00Z"
}Updates an existing customer
Customer ID
The customer email address.
jsmith@digitalriver.comThe identifier of the default source attached to this customer.
fd74a5c5-0163-469a-ae8e-031f0259b576If true, indicates this customer has submitted a request to be forgotten.
trueThe type of customer.
individualPossible values: A locale designator that combines the two-letter ISO 639-1 language code with the ISO 3166-1 alpha-2 country code.
en_USUsually used to disable the customer. The default is true. If false, attempts to create orders for the customer will fail.
true200 OK
The unique identifier for the customer.
5823594809The time at which the customer was created.
2018-04-25T20:36:00ZThe customer email address.
jsmith@digitalriver.comThe identifier of the default payment source attached to this customer.
If true, indicates this customer has requested to be forgotten.
falseExample: trueThe type of customer.
individualPossible values: A locale designator that combines the two-letter ISO 639-1 language code with the ISO 3166-1 alpha-2 country code.
en_USUsually used to disable the customer. The default is true. If false, attempts to create orders for the customer will fail.
trueHas the value true if the object exists in live mode or the value false if the object exists in test mode.
falseTime at which the customer was last updated.
2018-04-25T20:36:00Z400 Bad Request
401 Unauthorized
403 Forbidden
401 Not Found
405 Method Not Allowed
406 Not Acceptable
408 Request Timeout
409 Conflict
429 Too Many Requests
500 Internal Server Error
502 Bad Gateway Error
503 Service Unavailable Error
504 Gateway Timeout Error
POST /customers/{id} HTTP/1.1
Host: api.digitalriver.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 745
{
"email": "jsmith@digitalriver.com",
"shipping": {
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"name": "John Smith",
"phone": "952-111-1111",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"defaultSourceId": "fd74a5c5-0163-469a-ae8e-031f0259b576",
"taxCertificate": {
"companyName": "Digital River Inc.",
"taxAuthority": "MN",
"startDate": "2019-04-25T20:36:00Z",
"endDate": "2020-04-25T20:36:00Z",
"fileId": "file_8fd2f808-bbb4-49bc-aa41-c960a1447331"
},
"requestToBeForgotten": true,
"type": "individual",
"metadata": {
"coupon": "iOS"
},
"locale": "en_US",
"enabled": true
}{
"id": "5823594809",
"createdTime": "2018-04-25T20:36:00Z",
"email": "jsmith@digitalriver.com",
"shipping": {
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"name": "John Smith",
"phone": "952-111-1111",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"defaultSourceId": "123e4567-e89b-12d3-a456-426614174000",
"sources": [
{
"id": "a6809a63-e6a9-4016-abbc-f33d19fccb5b",
"clientSecret": "52199c06-b261-4786-8609-d0a84185a0d2_2b72614b-77f6-4801-bd48-8982e314fdd5",
"createdTime": "2018-04-25T20:36:00Z",
"type": "creditCard",
"currency": "USD",
"amount": 1180.26,
"reusable": true,
"owner": {
"firstName": "John",
"lastName": "Smith",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"upstreamId": "55129-54673",
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"creditCard": {
"lastFourDigits": "3119",
"expirationMonth": 3,
"expirationYear": 2023,
"brand": "Visa"
},
"googlePay": {
"lastFourDigits": "3119",
"expirationMonth": 2,
"expirationYear": 2022,
"brand": "Visa"
},
"payPal": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalBilling": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalCredit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"directDebit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success"
}
},
"wireTransfer": {
"accountHolder": "Netgiro Payments AB",
"bankName": "ABN AMRO Bank N.V.",
"city": "Prague",
"country": "ES",
"referenceId": "DR1651067521",
"accountNumber": "0100037259",
"additionalBankInformation": "Codigo de oficina: 0001 Codigo de entidad: 0156 Digitos de control: 09",
"iban": "ES35 0156 0001 0901 0003 7259",
"swiftCode": "string"
},
"payCo": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"payCo": {}
},
"alipay": {},
"applePay": {},
"bPay": {
"accountHolder": "Global Collect BV",
"bankName": "Commonwealth Bank",
"city": "Sydney",
"country": "Australia",
"referenceId": "12345678",
"accountNumber": "87654321",
"billId": "112233",
"customerPaymentReference": "443322",
"swiftCode": "CTBAAU2S"
},
"onlineBanking": {
"bankCode": "86"
},
"codJapan": {},
"klarnaCredit": {
"shipping": {
"recipient": "John Doe",
"phoneNumber": "5559895326",
"address": {
"line1": "10380 Bren Road West",
"city": "Minnetonka",
"state": "MN",
"country": "US",
"postalCode": "55343"
},
"email": "jdoe@yahoo.com"
},
"token": "1111222233334444"
},
"klarnaCreditRecurring": {
"returnUrl": "https://example.org/return",
"cancelUrl": "https://example.org/cancel"
},
"konbini": {
"storeId": "33334444",
"receiptNumber": "8675309",
"printableInvoiceUrl": "https://printableinvoice.com",
"storeName": "Seven Eleven",
"localizedStoreName": "セブン‐イレブン",
"storeLogoUrl": "https://storelogo.com"
},
"bankTransfer": {},
"msts": {},
"bancontact": {},
"ideal": {},
"giftCard": {
"cardCurrency": "USD",
"conversionRate": 1,
"lastFourDigits": 8139
},
"amazonPay": {},
"afterPay": {},
"ccAvenue": {},
"flow": "standard",
"state": "chargeable",
"metadata": {
"coupon": "iOS"
},
"customerId": "5823594809",
"paymentSessionId": "8cecaa32-f692-44cc-b103-4cf24dc93913",
"liveMode": false
}
],
"taxIdentifiers": [
{
"id": "5774321009",
"createdTime": "2018-04-25T20:36:00Z",
"customerId": "5774321009",
"type": "de",
"value": "DE123456789",
"state": "pending",
"stateTransitions": {
"pending": "2018-04-25T20:36:00Z",
"verified": "2018-04-25T20:36:00Z",
"not_valid": "2018-04-25T20:36:00Z"
},
"verifiedName": ".",
"verifiedAddress": ".",
"updatedTime": "2018-04-25T20:36:00Z",
"applicability": [
{
"country": "FR",
"entity": "DR_Ireland-Entity",
"customerType": "business"
}
]
}
],
"taxCertificates": [
{
"companyName": "Digital River Inc.",
"taxAuthority": "MN",
"startDate": "2019-04-25T20:36:00Z",
"endDate": "2020-04-25T20:36:00Z",
"fileId": "file_8fd2f808-bbb4-49bc-aa41-c960a1447331"
}
],
"requestToBeForgotten": true,
"type": "individual",
"metadata": {
"coupon": "iOS"
},
"locale": "en_US",
"enabled": true,
"liveMode": false,
"updatedTime": "2018-04-25T20:36:00Z"
}Permanently deletes a customer by supplying the unique identifier of the customer
Customer ID
204 No Content
No content
400 Bad Request
401 Unauthorized
403 Forbidden
401 Not Found
405 Method Not Allowed
406 Not Acceptable
408 Request Timeout
409 Conflict
429 Too Many Requests
500 Internal Server Error
502 Bad Gateway Error
503 Service Unavailable Error
504 Gateway Timeout Error
DELETE /customers/{id} HTTP/1.1
Host: api.digitalriver.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Attaches a source to a customer
Customer ID
Source ID
200 OK
Unique identifier for the source.
a6809a63-e6a9-4016-abbc-f33d19fccb5bUsed for client-side retrieval using a public key.
52199c06-b261-4786-8609-d0a84185a0d2_2b72614b-77f6-4801-bd48-8982e314fdd5Time when the source was created.
2018-04-25T20:36:00ZThe payment type of the source. The payment type will correspond to another element in the source response that contains detailed information specific to the type. For example, a type of creditCard indicates that there is an object in the response named creditCard.
creditCardPossible values: Three-letter ISO currency code.
USDAmount associated with the source. Once ready, the source will be charged this amount. Required for single_use sources.
1180.26If true, you can reuse this source, if false, only once.
trueThe authentication flow of the source.
standardPossible values: The status of the source, one of pending_funds, pending_redirect, requires_action, cancelled, chargeable, consumed or failed. You can only use chargeable sources to create a charge.
chargeablePossible values: Unique identifier of a customer.
5823594809Tracks the process of collecting a payment.
8cecaa32-f692-44cc-b103-4cf24dc93913Has the value true if the object exists in live mode or the value false if the object exists in test mode.
false400 Bad Request
401 Unauthorized
403 Forbidden
401 Not Found
405 Method Not Allowed
406 Not Acceptable
408 Request Timeout
409 Conflict
429 Too Many Requests
500 Internal Server Error
502 Bad Gateway Error
503 Service Unavailable Error
504 Gateway Timeout Error
POST /customers/{id}/sources/{sourceId} HTTP/1.1
Host: api.digitalriver.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "a6809a63-e6a9-4016-abbc-f33d19fccb5b",
"clientSecret": "52199c06-b261-4786-8609-d0a84185a0d2_2b72614b-77f6-4801-bd48-8982e314fdd5",
"createdTime": "2018-04-25T20:36:00Z",
"type": "creditCard",
"currency": "USD",
"amount": 1180.26,
"reusable": true,
"owner": {
"firstName": "John",
"lastName": "Smith",
"email": "jsmith@digitalriver.com",
"organization": "Digital River",
"upstreamId": "55129-54673",
"address": {
"line1": "10380 Bren Rd W",
"line2": "text",
"city": "Minnetonka",
"postalCode": "55129",
"state": "MN",
"country": "US"
},
"additionalAddressInfo": {
"neighborhood": "Centro",
"division": "営業部",
"phoneticName": "ヤマダ タロ"
}
},
"creditCard": {
"lastFourDigits": "3119",
"expirationMonth": 3,
"expirationYear": 2023,
"brand": "Visa"
},
"googlePay": {
"lastFourDigits": "3119",
"expirationMonth": 2,
"expirationYear": 2022,
"brand": "Visa"
},
"payPal": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalBilling": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"payPalCredit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/e626ec65-24d6-46fb-b632-10b90f4c4912?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"cancelUrl": "https://mypage.com/cancel"
},
"directDebit": {
"token": "EC-53H39048EL439164J"
}
},
"directDebit": {
"redirect": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success"
}
},
"wireTransfer": {
"accountHolder": "Netgiro Payments AB",
"bankName": "ABN AMRO Bank N.V.",
"city": "Prague",
"country": "ES",
"referenceId": "DR1651067521",
"accountNumber": "0100037259",
"additionalBankInformation": "Codigo de oficina: 0001 Codigo de entidad: 0156 Digitos de control: 09",
"iban": "ES35 0156 0001 0901 0003 7259",
"swiftCode": "string"
},
"payCo": {
"redirectUrl": "https://api.digitalriver.com:443/payments/redirects/75743f60-1023-470e-be48-b761260317af?apiKey=pk_test_6cb0fe9ce3124093a9ad906f6c589e2d",
"returnUrl": "https://mypage.com/success",
"payCo": {}
},
"alipay": {},
"applePay": {},
"bPay": {
"accountHolder": "Global Collect BV",
"bankName": "Commonwealth Bank",
"city": "Sydney",
"country": "Australia",
"referenceId": "12345678",
"accountNumber": "87654321",
"billId": "112233",
"customerPaymentReference": "443322",
"swiftCode": "CTBAAU2S"
},
"onlineBanking": {
"bankCode": "86"
},
"codJapan": {},
"klarnaCredit": {
"shipping": {
"recipient": "John Doe",
"phoneNumber": "5559895326",
"address": {
"line1": "10380 Bren Road West",
"city": "Minnetonka",
"state": "MN",
"country": "US",
"postalCode": "55343"
},
"email": "jdoe@yahoo.com"
},
"token": "1111222233334444"
},
"klarnaCreditRecurring": {
"returnUrl": "https://example.org/return",
"cancelUrl": "https://example.org/cancel"
},
"konbini": {
"storeId": "33334444",
"receiptNumber": "8675309",
"printableInvoiceUrl": "https://printableinvoice.com",
"storeName": "Seven Eleven",
"localizedStoreName": "セブン‐イレブン",
"storeLogoUrl": "https://storelogo.com"
},
"bankTransfer": {},
"msts": {},
"bancontact": {},
"ideal": {},
"giftCard": {
"cardCurrency": "USD",
"conversionRate": 1,
"lastFourDigits": 8139
},
"amazonPay": {},
"afterPay": {},
"ccAvenue": {},
"flow": "standard",
"state": "chargeable",
"metadata": {
"coupon": "iOS"
},
"customerId": "5823594809",
"paymentSessionId": "8cecaa32-f692-44cc-b103-4cf24dc93913",
"liveMode": false
}Detaches a source from a customer
Customer ID
Source ID
204 No Content
No content
400 Bad Request
401 Unauthorized
403 Forbidden
401 Not Found
405 Method Not Allowed
406 Not Acceptable
408 Request Timeout
409 Conflict
429 Too Many Requests
500 Internal Server Error
502 Bad Gateway Error
503 Service Unavailable Error
504 Gateway Timeout Error
DELETE /customers/{id}/sources/{sourceId} HTTP/1.1
Host: api.digitalriver.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Attaches a tax identifier to a customer
Customer ID
Tax ID
200 OK
The identifier of the tax identifier.
5774321009The time when the tax identifier was created.
2018-04-25T20:36:00ZThe identifier of an existing customer.
5774321009Type of tax identifier.
deThe tax identifier.
DE123456789The verification state.
pendingPossible values: The registered name of the customer with this tax identifier.
.The registered address of the customer with this tax identifier.
.The time when the tax identifier was updated.
2018-04-25T20:36:00Z400 Bad Request
401 Unauthorized
403 Forbidden
401 Not Found
405 Method Not Allowed
406 Not Acceptable
408 Request Timeout
409 Conflict
429 Too Many Requests
500 Internal Server Error
502 Bad Gateway Error
503 Service Unavailable Error
504 Gateway Timeout Error
POST /customers/{id}/tax-identifiers/{taxId} HTTP/1.1
Host: api.digitalriver.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "5774321009",
"createdTime": "2018-04-25T20:36:00Z",
"customerId": "5774321009",
"type": "de",
"value": "DE123456789",
"state": "pending",
"stateTransitions": {
"pending": "2018-04-25T20:36:00Z",
"verified": "2018-04-25T20:36:00Z",
"not_valid": "2018-04-25T20:36:00Z"
},
"verifiedName": ".",
"verifiedAddress": ".",
"updatedTime": "2018-04-25T20:36:00Z"
}Last updated